package com.jz.dmp.modules.controller.DataIntegration.bean;

import io.swagger.annotations.ApiModel;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @DATE: 2020-12-24/11:10
 * @Description: 添加任务请求体
 **/
@ApiModel(value = "添加任务请求对象", description = "添加任务对象")
public class SyncDmpTaskAddReq implements Serializable {

    private static final long serialVersionUID = 4286346100382139287L;

    @NotEmpty(message = "入参不能为空")
    private List<Map<String, Object>> params;

    public List<Map<String, Object>> getParams() {
        return params;
    }

    public void setParams(List<Map<String, Object>> params) {
        this.params = params;
    }
}
